Bug 1959514 (CVE-2021-23134)

Summary: CVE-2021-23134 kernel: use-after-free in nfc sockets
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: acaringi, adscvr, airlied, alciregi, bhu, blc, bmasney, brdeoliv, bskeggs, chwhite, dhoward, dvlasenk, fhrbata, fpacheco, hdegoede, hkrzesin, jarodwilson, jeremy, jforbes, jglisse, jlelli, jonathan, josef, jshortt, jstancek, jwboyer, kcarcia, kernel-maint, kernel-mgr, lgoncalv, linville, masami256, mchehab, mlangsdo, nmurray, ptalbert, qzhao, rvrbovsk, steved, swood, walters, wcosta, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel. A use-after-free was found in the implementation of nfc sockets leading to a kernel privilege escalation from the context of an unprivileged user. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-05-13 08:34:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1959515    
Bug Blocks: 1959516    

Description Guilherme de Almeida Suckevicz 2021-05-11 17:27:08 UTC
An use-after-free was found in the Linux kernel in the implementation of nfc sockets (in net/nfc/llcp_sock.c). This can lead to kernel privilege escalation from the context of an unprivileged user.

Reference:
https://www.openwall.com/lists/oss-security/2021/05/11/4

Upstream patch:
https://git.kernel.org/pub/scm/linux/kernel/git/netdev/net.git/commit/?id=c61760e6940d

Comment 1 Guilherme de Almeida Suckevicz 2021-05-11 17:27:50 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1959515]

Comment 4 Alex 2021-05-12 18:49:57 UTC
Statement:

This flaw is rated as having a Moderate impact because in the default configuration, the issue can only be triggered by a privileged local user (with capability CAP_NET_RAW).

Comment 5 Product Security DevOps Team 2021-05-13 08:34:08 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-23134